import type { PropType } from "vue";
import type { EventOptions } from './Type';
declare const _default: import("vue").DefineComponent<{
    ambLight: {
        type: ObjectConstructor;
    };
    dirLight: {
        type: ObjectConstructor;
    };
    pointLight: {
        type: ObjectConstructor;
    };
    onClick: {
        type: FunctionConstructor;
        default: null;
    };
    onMousemove: {
        type: FunctionConstructor;
        default: null;
    };
    onRightclick: {
        type: FunctionConstructor;
        default: null;
    };
    eventOptions: {
        type: PropType<EventOptions>;
        default: () => {
            hitFirst: boolean;
        };
    };
}, unknown, {
    isDragging: boolean;
    isRotating: boolean;
    hitFirst: boolean;
}, {}, {
    __initComponent(options: any): void;
    bindEvents(): void;
    clickMap(e: any): void;
    rightclickMap(e: any): void;
    mouseMoveMap(e: any): void;
    _getFeature(e: any): any[];
    dragStart(): void;
    dragEnd(): void;
    mouseoutMap(): void;
    rotateStart(): void;
    rotateEnd(): void;
    unBindEvents(): void;
    destroyComponent(): void;
    getMap(): any;
}, import("vue").DefineComponent<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
    };
    reEventWhenUpdate: {
        type: BooleanConstructor;
        default: boolean;
    };
}, unknown, {
    needInitComponents: ({
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: {};
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & import("vue").ShallowUnwrapRef<{}> & {} & import("vue").ComponentCustomProperties & customComponent)[];
    unwatchFns: import("vue").WatchStopHandle[];
    propsRedirect: {};
    converters: {};
    isDestroy: boolean;
    cacheEvents: {};
    isMounted: boolean;
}, {}, {
    getHandlerFun(prop: any): any;
    convertProps(): {};
    convertSignalProp(key: any, sourceData: any): any;
    registerEvents(): void;
    unregisterEvents(): void;
    setPropWatchers(): void;
    initProps(): void;
    lazyRegister(): void;
    addChildComponent(component: {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: {};
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & import("vue").ShallowUnwrapRef<{}> & {} & import("vue").ComponentCustomProperties & customComponent): void;
    createChildren(): void;
    register(): void;
    registerRest(instance: any): void;
    $$getInstance(): any;
    destroyComponent(): void;
    __visible(flag: any): void;
    __zIndex(value: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "init"[], "init", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
    };
    reEventWhenUpdate: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onInit?: ((...args: any[]) => any) | undefined;
}, {
    visible: boolean;
    reEventWhenUpdate: boolean;
}>, import("vue").ComponentOptionsMixin, ("mousemove" | "click" | "rightclick")[], "mousemove" | "click" | "rightclick", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    ambLight: {
        type: ObjectConstructor;
    };
    dirLight: {
        type: ObjectConstructor;
    };
    pointLight: {
        type: ObjectConstructor;
    };
    onClick: {
        type: FunctionConstructor;
        default: null;
    };
    onMousemove: {
        type: FunctionConstructor;
        default: null;
    };
    onRightclick: {
        type: FunctionConstructor;
        default: null;
    };
    eventOptions: {
        type: PropType<EventOptions>;
        default: () => {
            hitFirst: boolean;
        };
    };
}>> & {
    onMousemove?: ((...args: any[]) => any) | undefined;
    onClick?: ((...args: any[]) => any) | undefined;
    onRightclick?: ((...args: any[]) => any) | undefined;
}, {
    onMousemove: Function;
    onClick: Function;
    onRightclick: Function;
    eventOptions: EventOptions;
}>;
export default _default;
